---
title: <mmultiscripts>
slug: Web/MathML/Element/mmultiscripts
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Script and Limit Schemata'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mmultiscripts&gt;</code> element allows you to create tensor-like objects. In a descriptive way <a class="external" href="http://en.wikipedia.org/wiki/Tensor">tensors</a> are multidimensional matrices (mathematical imprecise but exemplified). The degree of a tensor depends on the dimensionality of a representative array. For example, a number is a 0-dimensional array, or a 0th-order tensor. A 1-dimensional array (e.g. vectors) is a 1st-order tensor and so 2nd-order tensors are needed to represent square matrices. To learn more about the mathematical background of tensors refer to the <a class="external" href="http://en.wikipedia.org/wiki/Tensor">entry on Wikipedia</a>.</p>

<p>MathML uses a special syntax to describe subscripts and superscripts for both, postscripts and prescripts, attached to a base expression:</p>

<pre class="syntaxbox notranslate">&lt;mmultiscripts&gt;
    <em>base</em>
     (<em>subscript superscript</em>)*
     [ &lt;mprescripts/&gt; (<em>presubscript presuperscript</em>)* ]
&lt;/mmultiscripts&gt;
</pre>

<p>After the base expression you can specify a postsubscript and a postsuperscript. Prescripts are optional and are separated by the empty tag <code>&lt;mprescripts/&gt;</code> (only one &lt;mprescripts /&gt; element is allowed, otherwise you will get an <code>DuplicateMprescripts</code> error in the <a href="/en-US/docs/Error_Console">Error Console</a> and "invalid-markup" in your rendering). In addition you are able to use <code>&lt;none/&gt;</code> as a placeholder for empty scripts (not for the base). See the examples section for a correct usage.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class-id-style"><code>class</code>, <code>id</code>, <code>style</code></dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-href"><code>href</code></dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground"><code>mathbackground</code></dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor"><code>mathcolor</code></dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-subscriptshift"><code>subscriptshift</code> {{deprecated_inline}}</dt>
 <dd>The minimum space by which to shift the subscript below the baseline of the expression, as a <a href="/en-US/docs/CSS/length">CSS length</a>.<br>
 This property is deprecated and will be removed in the future.</dd>
 <dt id="attr-superscriptshift"><code>superscriptshift</code> {{deprecated_inline}}</dt>
 <dd>The minimum space by which to shift the superscript above the baseline of the expression, as a <a href="/en-US/docs/CSS/length">CSS length</a>.<br>
 This property is deprecated and will be removed in the future.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_&lt;mprescripts&gt;">Using <code>&lt;mprescripts/&gt;</code></h3>

<p>Sample rendering: <img alt="" src="/files/3223/mmultiscripts_prescripts.png" style="margin-left: 10px; vertical-align: middle;"></p>

<p>Rendering in your browser: <math> <mmultiscripts> <mi>X</mi> <mi>d</mi> <mi>c</mi> <mprescripts></mprescripts> <mi>b</mi> <mi>a</mi> </mmultiscripts> </math></p>

<pre class="brush: html notranslate">&lt;math&gt;

    &lt;mmultiscripts&gt;

        &lt;mi&gt;X&lt;/mi&gt;      &lt;!-- base expression --&gt;

        &lt;mi&gt;d&lt;/mi&gt;      &lt;!-- postsubscript --&gt;
        &lt;mi&gt;c&lt;/mi&gt;      &lt;!-- postsuperscript --&gt;

        &lt;mprescripts /&gt;
        &lt;mi&gt;b&lt;/mi&gt;      &lt;!-- presubscript --&gt;
        &lt;mi&gt;a&lt;/mi&gt;      &lt;!-- presuperscript --&gt;

    &lt;/mmultiscripts&gt;

&lt;/math&gt;
</pre>

<h3 id="Using_&lt;none&gt;">Using <code>&lt;none/&gt;</code></h3>

<p>Sample rendering: <img alt="" src="/files/3222/mmultiscripts_none.png" style="margin-left: 10px; vertical-align: middle;"></p>

<p>Rendering in your browser: <math> <mmultiscripts> <mi>X</mi> <none></none> <mi>c</mi> <mprescripts></mprescripts> <mi>b</mi> <none></none> </mmultiscripts> </math></p>

<pre class="brush: html notranslate">&lt;math&gt;

    &lt;mmultiscripts&gt;

        &lt;mi&gt;X&lt;/mi&gt;      &lt;!-- base expression --&gt;

        &lt;none /&gt;        &lt;!-- postsubscript --&gt;
        &lt;mi&gt;c&lt;/mi&gt;      &lt;!-- postsuperscript --&gt;

        &lt;mprescripts /&gt;
        &lt;mi&gt;b&lt;/mi&gt;      &lt;!-- presubscript --&gt;
        &lt;none /&gt;        &lt;!-- presuperscript --&gt;

    &lt;/mmultiscripts&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#prescripts-and-tensor-indices-mmultiscripts", "mmultiscripts")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mmultiscripts', 'mmultiscripts') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mmultiscripts', 'mmultiscripts') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mmultiscripts")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ MathMLElement("msub") }} (Subscript)</li>
 <li>{{ MathMLElement("msup") }} (Superscript)</li>
 <li>{{ MathMLElement("msubsup") }} (Subscript-superscript pair)</li>
</ul>
